# Generated by Django 5.0.4 on 2024-05-05 13:19

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("calendar_utils", "0004_auto_20220505_1228"),
        ("elections", "0024_electionssimplepage"),
    ]

    operations = [
        migrations.AddField(
            model_name="electionshomepage",
            name="calendar",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="calendar_utils.calendar",
            ),
        ),
        migrations.AddField(
            model_name="electionshomepage",
            name="calendar_url",
            field=models.URLField(
                blank=True,
                help_text="Kalendář se po uložení stránky aktualizuje na pozadí. U plnějších kalendářů to může trvat i desítky sekund.",
                null=True,
                verbose_name="URL kalendáře ve formátu iCal",
            ),
        ),
        migrations.AlterField(
            model_name="electionshomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "desktop_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud není vybráno video, ukáže se na desktopu.",
                                        label="Obrázek na pozadí (desktop)",
                                    ),
                                ),
                                (
                                    "mobile_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud je vybrán, ukáže se místo videa na mobilu.",
                                        label="Obrázek (mobil)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pokud je vybráno, ukáže se na desktopech s povoleným autoplayem místo obrázku.",
                                        label="URL videa",
                                        required=False,
                                    ),
                                ),
                                (
                                    "mobile_line_1",
                                    wagtail.blocks.TextBlock(
                                        label="První mobilní řádek"
                                    ),
                                ),
                                (
                                    "mobile_line_2",
                                    wagtail.blocks.TextBlock(
                                        label="Druhý mobilní řádek"
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "candidates",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "elections.ElectionsCandidatePage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                        label="Obrázek",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.TextBlock(
                                                        label="Popis"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kandidáti",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "secondary_candidates",
                        wagtail.blocks.StructBlock(
                            [
                                ("heading", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "candidates",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "number",
                                                    wagtail.blocks.CharBlock(
                                                        label="Číslo"
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "elections.ElectionsCandidatePage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                        label="Obrázek",
                                                        required=False,
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kandidáti",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "label",
                                    wagtail.blocks.CharBlock(
                                        default="Program",
                                        help_text="Např. 'Program'",
                                        label="Nadpis",
                                    ),
                                ),
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "number",
                                                    wagtail.blocks.IntegerBlock(
                                                        label="Číslo"
                                                    ),
                                                ),
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "points",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Obsah"
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                        label="Body",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie",
                                    ),
                                ),
                                (
                                    "long_version_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pro zobrazení odkazu na celou verzi programu musí být obě následující pole vyplněná.",
                                        label="Odkaz na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                                (
                                    "long_version_text",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis odkazu na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(label="Popis"),
                                ),
                            ],
                            template="styleguide2/includes/organisms/articles/elections/articles_section.html",
                        ),
                    ),
                    (
                        "calendar",
                        wagtail.blocks.StructBlock(
                            [("heading", wagtail.blocks.CharBlock(label="Nadpis"))]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Hlavní obsah",
            ),
        ),
    ]
